Subject: bug#4337: 23.1.50; Mouse pointer disappears

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 04 Sep 2009 14:58:34 +0900

The problem has gone.  Thank you very much for the rapid fix!

>>>>> Jan Djärv wrote:
> I have checked in a fix.

> 	Jan D.

> Katsumi Yamaoka skrev:
>> Hi,
>>
>> Recently, after invoking some command that pops up to a new frame,
>> the mouse pointer disappears on the original frame in which that
>> command is invoked.  The problem can be reproduced with `emacs -Q'
>> as follows:
>>
>> 1. Eval this command:
>>
>> (defun test (arg)
>>   (interactive (list (read-string "Type RET> ")))
>>   (let ((buffer (get-buffer-create "*testing*"))
>> 	(pop-up-frames t))
>>     (pop-to-buffer buffer)))
>>
>> 2. Type `M-x test RET RET' in the Emacs frame A.
>>    Then the Emacs frame B rises and the mouse pointer moves there.
>>
>> 3. Move the mouse to the Emacs frame A manually.
>>    Then I see the mouse pointer disappears.
>>
>> Is it only to me?  I use Emacs 23.1.50 the latest on Fedora 11
>> that is updated everyday.  It might be due to something new in
>> Fedora 11 but Emacs 23.1 has no problem.
>>
>> Regards,